./meta-pkgs/ruby-shoulda, Making tests easy on the fingers and eyes

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 3.5.0, Package name: ruby23-shoulda-3.5.0, Maintainer: rodent

The shoulda gem is a meta gem with two dependencies:

* shoulda-context (official documentation)
* shoulda-matchers (official documentation)


Required to run:
[devel/ruby-shoulda-context] [devel/ruby-shoulda-matchers] [lang/ruby23-base]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: 473f0a8f5cdcaf298b70cb4dd0c418a853a35058
RMD160: ba82ac19dc194930e22ff4867aca675083306aab
Filesize: 11 KB

Version history: (Expand)


CVS history: (Expand)


   2017-03-23 18:07:02 by Joerg Sonnenberger | Files touched by this commit (219)
Log message:
Extend SHA512 checksums to various files I have on my local distfile
mirror.
   2015-06-11 19:23:37 by Takahiro Kambe | Files touched by this commit (1)
Log message:
Allow build on Ruby 2.2.
   2014-12-21 04:14:14 by OBATA Akio | Files touched by this commit (1)
Log message:
Not a meta package, as META_PACKAGE=yes in pkgsrc, real package.
   2014-12-07 20:38:59 by Blue Rats | Files touched by this commit (1)
Log message:
Adding META_PACKAGE=yes for consistency with other meta-pkgs, although this
option is undocumented. :\
   2014-08-14 18:10:08 by Joerg Sonnenberger | Files touched by this commit (1)
Log message:
Restrict to the same versions as the dependencies.
   2014-07-16 09:56:29 by Blue Rats | Files touched by this commit (22)
Log message:
Removing .ri entries from PLIST. NFI why this works with/without the
entries on my machine. Seems no other ruby package has them. Bump
PKGREVISION.
   2014-07-05 14:24:50 by Blue Rats | Files touched by this commit (4)
Log message:
Import ruby200-shoulda-3.5.0 as meta-pkgs/ruby-shoulda.

The shoulda gem is a meta gem with two dependencies:

 * shoulda-context (official documentation)
 * shoulda-matchers (official documentation)